#ifndef INPUTMANAGER_H_INCLUDED
#define INPUTMANAGER_H_INCLUDED

#include "Engine.h"

class cInputManager
{
    private:
    protected:
    public:
        std::vector<cRenderObject*> m_InputObjects;

        void updateKey(SDLKey Key)
        {
            for(unsigned int indx = m_InputObjects.size()-1; indx >= 0; indx--)
            {
                if(m_InputObjects[indx]->m_Visible)
                    if(m_InputObjects[indx]->updateKey(Key))
                        return;
            }
        }

        void addInputObject(cRenderObject *Object)
        {
            m_InputObjects.push_back(Object);
        };
};

#endif // INPUTMANAGER_H_INCLUDED
